Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessFunctionResultCallback_0_1< del, void, A1 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessFunctionResultCallback_0_1< del, void, A1 >:

List of all members.

## Public Types

typedef TessCallback1< A1 > | base
typedef void(* | FunctionSignature )(A1)

## Public Member Functions

| _TessFunctionResultCallback_0_1 (FunctionSignature function)
virtual void | Run (A1 a1)
Public Member Functions inherited from TessCallback1< A1 >
virtual | ~TessCallback1 ()

## Detailed Description

### template<bool del, class A1>
class _TessFunctionResultCallback_0_1< del, void, A1 >

Definition at line 479 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class A1 >

typedef TessCallback1<A1> _TessFunctionResultCallback_0_1< del, void, A1 >::base

Definition at line 482 of file tesscallback.h.

template<bool del, class A1 >

typedef void(* _TessFunctionResultCallback_0_1< del, void, A1 >::FunctionSignature)(A1)

Definition at line 483 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class A1 >

_TessFunctionResultCallback_0_1< del, void, A1 >::_TessFunctionResultCallback_0_1 | ( | FunctionSignature | function | ) |

inline

Definition at line 489 of file tesscallback.h.

: function_(function) {
}

## Member Function Documentation

template<bool del, class A1 >

virtual void _TessFunctionResultCallback_0_1< del, void, A1 >::Run | ( | A1 | a1 | ) |

inlinevirtual

Implements TessCallback1< A1 >.

Definition at line 494 of file tesscallback.h.

{
if (!del) {
(*function_)(a1);
} else {
(*function_)(a1);
// zero out the pointer to ensure segfault if used again
function_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h